###########################################################################
#
#	Copyright (c) 2001 Erik Enge <erik@thingamy.net>.
#	Copyright (c) 2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Id: __init__.py,v 1.1.1.1 2001/07/02 09:29:10 erik Exp $
# $Source: /cvs/MakeProduct/__init__.py,v $
__version__='$Revision: 1.1.1.1 $'[11:-2]

"""Initialize the make_product product"""

from Globals import ImageFile, package_home
import os.path

misc_ = {}
path = os.path.join(package_home(globals()), 'www/')

for file in os.listdir(path):
	if file[-3:] == 'gif':
		misc_[file] = ImageFile('www/%s' % file, globals())

import make_product

def initialize(context):
	"""Initialize the product"""
	try:
		context.registerClass(
			make_product.make_product,
			constructors = (make_product.make_product_add_form,
							make_product.make_product_add,
							make_product.manage_add_make_product)
			)
		context.registerHelp()
		context.registerHelpTitle('MakeProduct help')
	except:
		import sys, traceback, string
		type, val, tb = sys.exc_info()
		sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
		del type, val, tb
