###########################################################################
#
#   Copyright (c) 2001 Erik Enge <erik@thingamy.net>.
#   Copyright (c) 2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Id: property.py,v 1.1.1.1 2001/07/02 09:29:10 erik Exp $
# $Source: /cvs/MakeProduct/property.py,v $
__version__='$Revision: 1.1.1.1 $'[11:-2]

"""Classes for manipulating properties/attributes"""

class basic_property:
    """A basic property class"""

    def __init__(self, id, type='string', default="''"):
        """Initialize an instance of the class"""
        self.id = id        
        self.type = type
        self.default = default

class property_rendrer(basic_property):
    """Provides basic_property class with methods for rendering itself
    to text"""

    def render_self(self, indent=''):
        """Render the property instance in text.  This will be
        used when the product class will write itself out to
        the filesystem."""
        return indent + "{'id':'"+self.id+"', 'type':'"+self.type+\
			   "', 'default':"+str(self.default)+"}"

class property(basic_property, property_rendrer):
    """doc string"""
    pass
